# Uses of Class
org.eclipse.jdt.core.dom.EnumDeclaration

Packages that use EnumDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of EnumDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return EnumDeclaration
Modifier and Type
Method
Description
`EnumDeclaration`
AST.`newEnumDeclaration()`
Creates an unparented enum declaration node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type EnumDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(EnumDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(EnumDeclaration node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(EnumDeclaration node)`
Visits the given type-specific AST node.